@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:wght@400;500;700&family=PT+Sans:wght@400;700&family=Poppins:wght@300;400;700&display=swap');

:root {
    --clr-primary: #eb4800;
    --clr-primary-hover: #802701;
    --bg-100: #242424;
    --bg-900: #000000;
    --clr-100: #000000;
    --white: #fff;
    --ff-heading: 'PT Sans', sans-serif;
    /* --ff-body: 'Actor', sans-serif; */
    --ff-body: sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}



*{
    margin: 0;
    padding: 0;

}

html {
    box-sizing: border-box;
    font-size: 100%;
}

body {
    background: white;
    font-family: var(--ff-body);
    font-weight: 400;
    line-height: 1.75;
    color: var(--clr-100);
    scroll-behavior: smooth;
}

h1, h2, h3, h4, h5{
    margin: 0;
    /* font-family: var(--ff-heading); */
    font-weight: 400;
    line-height: 1.3;
}

h1 {
    margin-top: 0;
    font-size: 3.052rem;
}

h2 {
    font-size: 2.441rem;
}

h3 {
    font-size: 1.953rem;
}

h4 {
    font-size: 1.563rem;
}

h5 {
    font-size: 1.25rem;
}


small,
.text_small {
    font-size: 0.8rem;
}



.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}


@media (max-width: 1199px) {
    .container {
        padding: 0 20px;
    }
}





/* GENERAL STYLING */


header{
    width: 100%;
    height: 80px;
    background-color: var(--bg-100);
    background-color: #242424;
    display: flex;
    align-items: center;
}
.navbar {
    width: 100%;
    padding: 20px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.logo a {
    text-decoration: none;
}
.logo a h3{
    color: var(--white);
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 3px;
}
.logo h3 span {
    color: var(--clr-primary);
}
.navbar ul {
    list-style: none;
    display: flex;
    gap: 10px 20px;
    align-items: center;
}

.navbar ul a{
    color: var(--white);
    font-size: 1.1rem;
    text-decoration: none;
}


.hambuger {
    display: none;
    background-color: var(--white);
    width: 30px;
    height: 30px;
    border-radius: 3px;
    cursor: pointer;
}
.nav-for-smaller-screens{
    position: fixed;
    top: 0;
    display: none;
    background-color: var(--white);
    z-index: 1000000;
    transition: all 1s;
    max-width: 250px;
    width: 70%;
    height: 100vh;
    color: var(--clr-100);
}
.nav-for-smaller-screens ul a{
    /* border: 2px solid black; */
    padding: 30px;
    color: var(--white);
    font-size: 1.1rem;
    text-decoration: none;
    color: var(--clr-100);
    display: block;
    text-transform: uppercase;
}

.nav-for-smaller-screens ul a:hover{
    color: var(--white);
    text-decoration: underline;
    background-color: var(--clr-primary);
}

.nav-icons{
    overflow: hidden;
}
.fa-bars{
    padding: 7px 10px;
}


/* STYLING SUB-HEADER CONTAINER */

.sub-header{
    background-color: var(--clr-primary);
    color: var(--white);
    padding: 10px 0;
}

.sub-header a{
    color: var(--white);
    font-weight: bold;
}


/* STYLING LANDING PAGE CONTENT */


.landing-page-content{
    position: relative;
    color: var(--white);
    text-align: center;
    width: 100%;
    height: 400px;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(/Img/house-3.jpg);
    background-size: cover;
    background-attachment: fixed;
    position: relative;
    background-position: center center;
    background-repeat: no-repeat;
}
.estate-content{
    /* padding-top: 130px; */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

}
.estate-content h1{
    margin-top: 0px;
    font-size: 3.052rem;
}
.estate-content h3{
    margin-top: 0px;
    font-size: 4rem;
}


/* STYLING PRODUCTS DESCRIPTION CONTAINER */

.product-description{
    /* border: 2px solid black; */
    display: flex;
    justify-content: center;
    align-items: flex-end;
    gap: 45px;
    height: 93px;
    flex-wrap: wrap;
    padding-top: 10px;
}
.product-description a{
    height: 10px;
    color: var(--clr-primary);
    text-decoration: none;
    font-size: 13px;
    transition: all .5s;
}
.product-description a:hover,
.product-description a:focus{
    color: var(--clr-primary-hover);
}

.products-description::after {
    content: '';
    display: block;
    height: 1px;
    width: 100%;
    background-color: #ccc;
    margin: 10px 0 60px 0;
}







.products{
    /* border: 2px solid black; */
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 30px;
}

.all{
    /* max-width: 378px; */
    border: 1px solid #ccc;
    border-radius: 3px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    transition: all 0.3s ease;
}

.all:hover {
    transform: scale(1.1);
}

.product-image {
    width: 100%;
    position: relative;
}

.all img {
    width: 100%;
    height: auto;
    overflow: hidden;
    opacity: 1;
    display: block;
    height: auto;
    transition: 0.5s ease;
    backface-visibility: hidden;
}

.top-text {
    transition: 0.5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    /* right: 50%; */
    /* bottom: 50%; */
    transform: translate(-50%, -50%);
    /* -ms-transform: translate(-50%, -50%); */
    display: flex;
    gap: 0 3px;
}

.all a:hover .product-image {
    opacity: 0.3;
}

.all a:hover .top-text{
    opacity: 0.7;
}

.all .top-text p{
    background-color: var(--clr-primary-hover);
    color: white;
    font-size: 16px;
    padding: 5px 10px;
    text-transform: capitalize;
}

.all .price-container {
    padding: 20px 15px;
    display: flex;
    justify-content: space-between;
}

.price-container h5 {
    color: #777;
}

.product-content p{
    padding: 0px 15px;
}

.icon-review{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 15px;
    padding-bottom: 15px;
}
.icon-review ul{
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--clr-primary);
}

.icon-review span{
    color: var(--clr-primary);
}

.veiw-detail{
    padding: 0 0 10px 10px;
}

.veiw-detail a{
    text-decoration: none;
    color: var(--clr-primary);
    font-size: 1.1rem;
    /* font-weight: bold; */
}
.veiw-detail a span {
    font-size: 1.3rem;
}


/* STYLING NUMBER NAV CONTAINER */

.number-nav{
    /* border: 2px solid black; */
    height: 35vh;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.number-nav a{
    height: 44px;
    width: 50px;
    border: 1px solid rgba(0, 0, 0, 0.178);
    text-decoration: none;
    color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
}
.number-nav a:first-child{
    background-color: rgb(243, 63, 63);
    color: var(--white);
    border: rgb(243, 63, 63);
}
.number-nav a:last-child{
    font-size: 20px;
}

.number-nav a:hover{
    background-color: rgb(243, 63, 63);
    color: var(--white);
}



footer {
    background-color: var(--bg-100);
}

footer .first-content{
    display: flex;
    height: 200px;
    font-size: 3rem;
    color: var(--clr-100);
    align-items: center;
    justify-content: center;
}
footer .first-content a{
    color: beige;
    text-decoration: none;
    transition: all .5s;
}
footer .first-content a:hover,
footer .first-content a:focus-visible{
    color: var(--clr-primary-hover);
}
footer .last-content{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background-color: var(--bg-900);
    color: var(--white);
}


/* MEDIA QUERY */



@media screen and (max-width:960px){
    .logo a h3{
        font-weight: 400;
        letter-spacing: 2px;
        font-size: 1.6rem;
    }
    header h3{
        font-size: 25.6px;
    }
    header .navigations{
        display: none;
    }
    .hambuger{
        padding: 0 2px;
        display: block;
        display: flex;
        justify-content: center;
        align-items: center;
    }


    .products{
        grid-template-columns: 1fr 1fr 1fr;
    }

}


@media screen and (max-width: 760px){

    .estate-content h1{
        font-size: 2rem;
    }
    .estate-content h3{
        font-size: 2.3rem;
    }

    .products{
        grid-template-columns: 1fr 1fr;
    }
}


@media screen and (max-width: 650px){


    .estate-content h1{
        font-size: 1.6rem;
    }
    .estate-content h3{
        font-size: 2rem;
    }

    .products{
        grid-template-columns: 1fr;
    }
}


@media screen and (max-width: 400px){
    
    .logo a h3{
        font-weight: 300;
        letter-spacing: 1px;
        font-size: 1.3rem;
    }

    footer .first-content{
        font-size: 2rem;
    }
}